Zum Inhalt springen
Docs
Deutsch
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Bulk create content blocks

Creates multiple content blocks in one request. Scoped to your integration’s institution via Basic Auth credentials.

POST/content-blocks/bulk
Authorization
AuthorizationBasic auth · headerrequired

Basic Auth with clientId as username and clientSecret as password

Header parameters
Idempotency-Keystringrequired

Unique key to ensure idempotent creation

Request body
requiredapplication/json
courseIdstringrequired

Layer ID of the course. Required.

contentBlocksBulkCreateContentBlockItem[]required
min items 1 · max items 50
Show properties
Array of BulkCreateContentBlockItem
namestringrequired
min length 1 · max length 100
descriptionstring
max length 10000
typestringrequired
Allowed:TextImageVideoTestInteractiveFileLinkHandInCertificateExternalDeliverableSurveySection
statusstring
Allowed:PUBLISHEDCOMING_SOONDRAFTDISABLED
positioninteger
min 0
dueDatestring<date-time>
startDatestring<date-time>
specsobject
expectedLearnTimeMinutesinteger
min 1
isDependentboolean
autoPositionboolean
default: false
Responses
201

Content blocks created

dataBulkCreateContentBlocksResultrequired
Show properties
createdobject[]required
Show properties
Array of object
idstringrequired
namestringrequired
positionintegerrequired
countintegerrequired
positionWarningsobject[]required
Show properties
Array of object
messagestringrequired
affectedConditionIdstringrequired
metaResponseMetarequired
Show properties
requestIdstringrequired
timestampstring<date-time>required
versionstringrequired
Allowed:v4
400

Bad Request

typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
401

Unauthorized

typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
403

Forbidden

typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
409

Conflict

typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
429

Too Many Requests

typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
500

Internal Server Error

typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://fuxam.app/api/v4/content-blocks/bulk' \
  -H 'Authorization: Basic YOUR_CREDENTIALS' \
  -H 'Idempotency-Key: string' \
  -H 'Content-Type: application/json' \
  -d '{
  "courseId": "string",
  "contentBlocks": [
    {
      "name": "string",
      "description": "string",
      "type": "Text",
      "status": "PUBLISHED",
      "position": 0,
      "dueDate": "2019-08-24T14:15:22Z",
      "startDate": "2019-08-24T14:15:22Z",
      "specs": {},
      "expectedLearnTimeMinutes": 1,
      "isDependent": true
    }
  ],
  "autoPosition": false
}'
Response
{
  "data": {
    "created": [
      {
        "id": "string",
        "name": "string",
        "position": 0
      }
    ],
    "count": 0,
    "positionWarnings": [
      {
        "message": "string",
        "affectedConditionId": "string"
      }
    ]
  },
  "meta": {
    "requestId": "req_1234567890_abc",
    "timestamp": "2026-06-02T07:00:00.000Z",
    "version": "v4"
  }
}